summarylogtreecommitdiffstats
path: root/otd
diff options
context:
space:
mode:
authorMoeLava2020-06-15 13:41:00 +0700
committerMoeLava2020-06-15 13:41:00 +0700
commit4321867760d3529a24c8ec9a6c3ec960da70cc25 (patch)
tree8ab27a4834089f59a21ede1c7f368a0b1c3146af /otd
parent1d9415bf08186467eb935ac38d5ecc50bb7c4e68 (diff)
downloadaur-4321867760d3529a24c8ec9a6c3ec960da70cc25.tar.gz
Bump version and fix build
Diffstat (limited to 'otd')
-rwxr-xr-xotd12
1 files changed, 12 insertions, 0 deletions
diff --git a/otd b/otd
new file mode 100755
index 000000000000..a55387184404
--- /dev/null
+++ b/otd
@@ -0,0 +1,12 @@
+#!/bin/bash
+systemctl --user --quiet is-active opentabletdriver.service
+daemonactive=$?
+
+if [ $daemonactive != 0 ]
+then
+ echo "OpenTabletDriver Daemon not running, starting"
+ systemctl --user start opentabletdriver.service
+fi
+
+cd /usr/share/OpenTabletDriver
+dotnet OpenTabletDriver.Console.dll "$@" \ No newline at end of file